import { RouterView } from 'vue-router';

export default {
    path: '/monitor',
    name: 'Monitor',
    meta: {
        title: 'monitors',
        icon: 'grid_view',
        moduleName: 'Monitor',
    },
    component: RouterView,
    redirect: { name: 'MonitorMain' },
    menus: {
        main: ['MonitorList'],
        card: [],
    },
    children: [
        {
            path: '',
            name: 'MonitorMain',
            component: () => import('src/pages/Monitor/MonitorMain.vue'),
            redirect: { name: 'MonitorList' },
            children: [
                {
                    path: 'list',
                    name: 'MonitorList',
                    meta: {
                        title: 'list',
                        icon: 'grid_view',
                    },
                    component: () => import('src/pages/Monitor/MonitorList.vue'),
                },
            ],
        },
    ],
};
